"use client";
import { StyledHeadline, getPropDefaults } from "./base/Headline.js";
import { toReactNodes } from "../../utils/toReactNodes/toReactNodes.js";
import { jsx } from "@emotion/react/jsx-runtime";
//#region src/components/typography/Headline.tsx
function Headline(props) {
	const propsWithDefaults = getPropDefaults(props);
	let reactNodes = props.children || null;
	if (props.content) reactNodes = toReactNodes(props.content);
	return /* @__PURE__ */ jsx(StyledHeadline, {
		...propsWithDefaults,
		children: reactNodes
	});
}
//#endregion
export { Headline };
